Bug 79952 - FORMATTING: base64 image size
Summary: FORMATTING: base64 image size
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-12 21:01 UTC by NickKolok
Modified: 2019-12-03 14:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example - html with 3 images: regular http without width and height, base64 without width and height, base64 with width and height (58.14 KB, text/html)
2014-06-12 21:01 UTC, NickKolok
Details
LibreOffice vs Firefox (135.11 KB, image/png)
2014-06-12 21:23 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NickKolok 2014-06-12 21:01:14 UTC
Created attachment 100940 [details]
Example - html with 3 images: regular http without width and height, base64 without width and height, base64 with width and height

When I open html file with base64-encoded image, the image has wrong (default) size - only if img tag hasn't width and height attrs.

There is an example in attached file.
Operating System: Ubuntu
Version: 4.2.4.2 release
Comment 1 Yousuf Philips (jay) (retired) 2014-06-12 21:22:52 UTC
Confirmed in Linux Mint in 4.2.4, 4.2.6, 4.3 beta 2, and 4.4 alpha.

The attached html file loads in writer as a small image when its width and height attributes arent set.
Comment 2 Yousuf Philips (jay) (retired) 2014-06-12 21:23:37 UTC
Created attachment 100941 [details]
LibreOffice vs Firefox
Comment 3 Matthew Francis 2015-01-21 09:28:42 UTC
LO has never known how to handle this all the way back to 3.3.0

Setting Version -> Inherited from OOo
Comment 4 QA Administrators 2016-02-21 08:37:38 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 15:56:18 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:16:07 UTC
Dear NickKolok,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug